package com.op.mes.domain.vo;

import com.op.mes.domain.ProLine;
import com.op.mes.domain.ProRoute;
import com.op.mes.domain.ProShift;

import java.util.List;

// 返回工艺、成型机、班次VO
public class LineAndShiftVo {
    // 成型机
    private List<ProLine> lines;
    // 班次
    private List<ProShift> shifts;
    // 工艺
    private List<ProRoute> routes;

    public LineAndShiftVo(List<ProLine> lines, List<ProShift> shifts, List<ProRoute> routes) {
        this.lines = lines;
        this.shifts = shifts;
        this.routes = routes;
    }

    public List<ProLine> getLines() {
        return lines;
    }

    public void setLines(List<ProLine> lines) {
        this.lines = lines;
    }

    public List<ProShift> getShifts() {
        return shifts;
    }

    public void setShifts(List<ProShift> shifts) {
        this.shifts = shifts;
    }

    public List<ProRoute> getRoutes() {
        return routes;
    }

    public void setRoutes(List<ProRoute> routes) {
        this.routes = routes;
    }

    @Override
    public String toString() {
        return "LineAndShiftVo{" +
                "lines=" + lines +
                ", shifts=" + shifts +
                ", routes=" + routes +
                '}';
    }

    public LineAndShiftVo() {
    }
}
